Skip to main content
POST
Retry a run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string<uuid>
required

The run.

Response

The new run.

An organisation run. data_run is present only on backup, restore and clone runs.

id
string<uuid>
required
organisation_id
string<uuid>
required
kind
enum<string>
required
Available options:
pipeline,
promotion,
restore,
backup,
clone,
dr_drill,
environment_hydrate
status
enum<string>
required
Available options:
pending,
running,
blocked,
awaiting_approval,
succeeded,
failed,
cancelled
display_name
string
required
initiated_by
string
required
ankra_user_id
string | null
required
application_id
string | null
required
environment_id
string | null
required
promotion_id
string | null
required
commit_sha
string
required
artefact_digest
string
required
parent_run_id
string | null
required
error_excerpt
string | null
required
last_heartbeat_at
string<date-time> | null
required
started_at
string<date-time> | null
required
finished_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
data_run
object

The payload of a backup, restore or clone run.